/*

CLASS {NATIVE_interprete|_CSharp_Primary_version},
UNTESTED :

NATIVE: "///COPY NATIVE_interprete.cs" .
NATIVE: "using AL4_project;" .


*/

using System; 
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using AL4;
using AL4_project;

namespace AL4_project
{

	public static class NATIVE_interprete
	{
		public static void push_bool(Boolean value)
		{
		}
			
		public static void push_int(int value)
		{
		}
			
		public static void push_real(Double value)
		{
		}
			
		public static void push_str(String value)
		{
		}
			
		public static void push_object(Object value)
		{
		}
			
		public static void push_record(Object value)
		{
		}
			

		public static Boolean pop_bool()
		{
			return false;
		}
			
		public static int pop_int()
		{
			return 0;
		}
			
		public static Double pop_real()
		{
			return 0;
		}
			
		public static String pop_str()
		{
			return "";
		}
			
		public static Object pop_object()
		{
			return null;
		}
			
		public static Object pop_record()
		{
			return null;
		}
		
	}

}

/*
END
*/
         
